PhoneBook_LDAP/Controllers/AdminController.cs
using PhoneBook_LDAP.Models;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;

namespace PhoneBook_LDAP.Controllers
{
    public class AdminController : Controller
    {
        public const int _rowPerPage = 50;

        // GET: Admin
        public ActionResult Index(string SeacrhFor = "", int Page = 1, int rowPerPage = _rowPerPage)
        {
            /*LDAPContext ld = new LDAPContext();

            IOrderedQueryable<PhoneBook_LDAP.Models.Users> users = from usr in ld.Users
                        orderby usr.DisplayName, usr.Phone
                        select usr;

            return View(users);*/

            LDAPContext ld = new LDAPContext();

            IQueryable<Users> usrs = ld.GetUserByNameAndPhone(SeacrhFor, Page, _rowPerPage);

            //Pagination-da aktiv page-i gostermek ucun istifade edecem
            ViewBag.Page = Page;

            return View(usrs);
        }


        //PB-daki deywikliyi save edir
        public JsonResult SaveUserData(PhoneBook_LDAP.Models.Users model)
        {
            string message = "NS";

            LDAPContext db = new LDAPContext();

            PhoneBook_LDAP.Models.Users UntToUpdate = db.Users
              .Where(p => p.UserName == model.UserName).FirstOrDefault();

            if (UntToUpdate != null)
            {
                UntToUpdate.DisplayName = model.DisplayName;

                db.SaveChanges();

                message = "Success";
            }

            //ViewBag.SavingSuccess = true;

            return Json(message);
        }


    }
}

PhoneBook_LDAP/Controllers/PhoneBookController.cs
using IntranetMvcApplication.Util;
using PhoneBook_LDAP.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;

namespace PhoneBook_LDAP.Controllers
{
    [Authorize(Roles = "Programmers,Kadrlar sobesi")]
    public class PhoneBookController : Controller
    {

        public const int _rowPerPage = 50;

        // GET: PhoneBook
        public ActionResult Index(string SeacrhFor = "", int Page = 1, int rowPerPage = _rowPerPage)
        {
            LDAPContext ld = new LDAPContext();

            IQueryable<Users> usrs = ld.GetUserByNameAndPhone(SeacrhFor, Page, _rowPerPage);

            //Pagination-da aktiv page-i gostermek ucun istifade edecem
            ViewBag.Page = Page;

            return View(usrs);
            //return View(GetUsersFromLDAP(SeacrhFor, Page, _rowPerPage));
        }


        private IQueryable<Users> GetUsersFromLDAP(string SeacrhFor = "*", int Page = 1, int rowPerPage = _rowPerPage)
        {
            
            if(SeacrhFor == null || SeacrhFor == string.Empty)
                SeacrhFor = "*";
            else if (SeacrhFor != "*")
                SeacrhFor = "*" + SeacrhFor + "*";


            //Pagination-da aktiv page-i gostermek ucun istifade edecem
            ViewBag.Page = Page;

            LDAP_Tool alo = new LDAP_Tool();

            List<Users> usrs = alo.GetADUsers_ByNameOrPhone(SeacrhFor);

            IQueryable<Users> usrs_ = Enumerable.Empty<Users>().AsQueryable();
            
            try {
                usrs_ = usrs.AsQueryable();

                usrs_ = usrs_.Skip(rowPerPage * (Page - 1)).Take(rowPerPage);
            }
            catch (ArgumentNullException)
            {
                
            }

            return usrs_;
        }


    }
}

PhoneBook_LDAP/Views/Admin/Index.cshtml
@model IEnumerable<PhoneBook_LDAP.Models.Users>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/_LayoutPage.cshtml";

    var grid = new WebGrid(source: Model,
               //defaultSort: "Number",
               rowsPerPage: 50);
}

<style>
    .Grid_Act {
        width: 100px;
        min-width: 100px;
    }

    .Grid_EditData {
        width: 40%;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .Grid_EditData_text {
        width: 100%;
    }


    .Grid_Number {
        max-width: 100px;
        width: 10%;
    }
</style>

<h2>Telefon kitabçası - editor</h2>


<div class="card">
    <div class="card-body">
        @using (Html.BeginForm(null, null, FormMethod.Get, new { id = "FrmFilter" }))
        {
            <!--id="FrmFilter"-->
            <div class="input-group">
                <div class="col-sm-2">
                    @Html.Label("Ad və nömrə: ", "Ad və nömrə:", htmlAttributes: new { @class = "control-label" })
                </div>
                <div class="col-sm-10">
                    @Html.TextBox("SeacrhFor", null, htmlAttributes: new { @class = "form-control", @placeholder = "Ad və nömrə" })
                </div>
            </div>

            @Html.Hidden("Page", 1)


            <div class="input-group">
                <div class="col-sm-offset-2 col-sm-2">
                    <!--<button class="btn btn-info" type="button" id="addressSearch" onclick="location.href='_Xxx Url.Action("Show", "Home")'">Filterlə</button>-->
                    <input id="BtnFrmFilter" class="btn btn-info " type="submit" value="Filterlə" />
                </div>
                <div class="col-sm-8">
                    <blockquote class="blockquote mb-0">
                        <small><em>* Ad və nömrəyə görə</em></small>
                    </blockquote>
                </div>
                <!--<div class="col-sm-1">
                    <button class="ExportExcel btn btn-info btn-block">Fayli upload et</button>
                </div> -->
            </div>

        }
    </div>
</div>


<!---->
<div class="panel panel-default">
    <div class="panel-body">
        <div id="grid" class="table-responsive">
            @grid.GetHtml(
             tableStyle: "table table-striped",
             headerStyle: "table table-striped",
             //alternatingRowStyle: "alt",
             columns: grid.Columns(grid.Column("Action", format: @<text>
                <button class="edit-change display-mode btn btn-default">Edit</button>
                <button class="save-change-Phones edit-mode btn btn-primary">Save</button>
                <button class="cancel-change edit-mode btn btn-info">Cancel</button>
            </text>, style: "Grid_Act", canSort: false),
     grid.Column(null, null, format: @<input type="hidden" id="lblUserName" value=@item.UserName />
     ),


     grid.Column("DisplayName", "A.S.A.", format: @<text>
        <span class="display-mode"> <label id="lblDisplayName">@item.DisplayName</label></span>
        <input type="text" id="DisplayName" value="@item.DisplayName" class="edit-mode Grid_EditData_text form-control" /> </text>,
      style: "Grid_EditData_text"),

                      grid.Column("Phone", "Nömrə", format: @<text>
                        <label id="lblPhone">@item.Phone</label>
                    </text>,
          style: "Grid_Number")

    )
    )
        </div>
    </div>
</div>

<div style="margin: auto; width: 35%; ">@Html.Partial("_Pager")</div>

PhoneBook_LDAP/Views/PhoneBook/Index.cshtml
@model IEnumerable<PhoneBook_LDAP.Models.Users>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/_LayoutPage.cshtml";
}

<h2>Telefon kitabçası</h2>

<div class="card">    
    <div class="card-body">
        @using (Html.BeginForm(null, null, FormMethod.Get, new { id = "FrmFilter" }))        {
            
                <!--id="FrmFilter"-->

                <div class="input-group">
                    <div class="col-sm-2">
                        @Html.Label("Ad və nömrə: ", "Ad və nömrə:", htmlAttributes: new { @class = "control-label" })
                    </div>
                    <div class="col-sm-10">
                        @Html.TextBox("SeacrhFor", null, htmlAttributes: new { @class = "form-control", @placeholder = "Ad və nömrə" })
                    </div>                    
                </div>

                @Html.Hidden("Page", 1)


                <div class="input-group">
                    <div class="col-sm-offset-2 col-sm-2">
                        <!--<button class="btn btn-info" type="button" id="addressSearch" onclick="location.href='_Xxx Url.Action("Show", "Home")'">Filterlə</button>-->
                        <input id="BtnFrmFilter" class="btn btn-info " type="submit" value="Filterlə" />
                    </div>
                    <div class="col-sm-8">                        
                            <blockquote class="blockquote mb-0">
                                <small><em>* Ad və nömrəyə görə</em></small>
                            </blockquote>                        
                    </div>
                    <!--<div class="col-sm-1">
                        <button class="ExportExcel btn btn-info btn-block">Fayli upload et</button>
                    </div> -->
                </div>
            
        }
    </div>
</div>


<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.DisplayName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Email)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Phone)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DN)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.DisplayName)
        </td>        
        <td>
            @Html.DisplayFor(modelItem => item.Email)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Phone)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Description)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.DN)
        </td>
    </tr>
}

</table>


<div style="margin: auto; width: 35%; ">@Html.Partial("_Pager")</div>

PhoneBook_LDAP/Views/Shared/_Pager.cshtml
@{ 
    int currPage = @ViewBag.Page; // Cari aktiv sehife
    int MaxPagerPages = 9; //Pager-de gorsenen maksimum sehife sayi

    // MedianPage En orta sehife. Cari aktiv sehife onu kecenden sonra suruwme bawlayir. 
    //Mes: 5-dirse 1-den MaxPagerPages-e qeder sehife gorsenir. 6-dirsa 2-den (MaxPagerPages+1)- e qeder gorsenir
    //Mes: 7dirse 3-den (MaxPagerPages+2). 6-daki +1 suruwme ucun ve 7-deki +2 suruwmenin miqdarini MedianShift gosterir
    int MedianPage = 5;
    //Suruwmenin miqdarini MedianShift gosterir. currPage - MedianPage  funksiyasi ile hesablanir. Sehife minimum 0 ola biler
    int MedianShift = currPage > MedianPage ? currPage - MedianPage : 0;
    //pg 1-den MaxPagerPages -e qeder olan linkleri nomreleyim textini yazacaq. pg suruwmeni nezere alib nomreleyir
    int pg = 1 + MedianShift;
}

<nav aria-label="Page navigation">
    <ul class="pagination">
        <!--<li class="page-item">
            <a class="page-link" href="#" aria-label="Previous">
                <span aria-hidden="true">&laquo;</span>
                <span class="sr-only">Previous</span>
            </a>
        </li>-->
        <!--<li class="page-item"><a class="page-link gridPage" href="../../../../Sifariw/Index/Page/1/" alt="1">1</a></li>-->

        @for (int p = 1; p <= MaxPagerPages; p++)
        {
            if (pg == currPage)
            {
                <li class="page-item active"><a class="page-link gridPage" href=@pg alt=@pg>@pg</a></li>
            }
            else
            {
                <li class="page-item"><a class="page-link gridPage" href=@pg alt=@pg>@pg</a></li>
            }

            pg++;
        }

        <!--<li class="page-item">
            <a class="page-link" href="#" aria-label="Next">
                <span aria-hidden="true">&raquo;</span>
                <span class="sr-only">Next</span>
            </a>
        </li>-->
    </ul>
</nav>

PhoneBook_LDAP/Views/_LayoutPage.cshtml
<!DOCTYPE html>

<html>
<head>
    <meta charset="utf-8" http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    <link href="~/Content/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/themes/base/jquery-ui.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/themes/base/jquery-ui.css" rel="stylesheet" type="text/css" />
    <title>@ViewBag.Title</title>
    <script src="~/Scripts/jquery-3.0.0.min.js"></script>
</head>
<body>

    <nav class="navbar navbar-expand-sm  navbar-dark bg-dark">
        <div class="container">
            @{ if (User.Identity.IsAuthenticated)
                {
                    <ul class="nav navbar-nav">
                        <li> </li>
                        @{ if (User.IsInRole("Programmers") || User.IsInRole("Kadrlar sobesi"))
                            {
                                <li class="nav-item">
                                    @Html.ActionLink("Kitabça", "Index", "PhoneBook", new { area = "" }, new { @class = "nav-link" })
                                </li>
                                <li class="nav-item">
                                    @Html.ActionLink("Editor", "Index", "Admin", new { area = "" }, new { @class = "nav-link" })
                                </li>
                            }
                        }
                    </ul>

                    <ul class="nav navbar-nav navbar-right">
                        @Html.Label(User.Identity.Name, new { @class = "btn navbar-btn btn-danger" })
                    </ul>

                }
            }
        </div>
    </nav>

    <div class="container body-content">
        <div class="row">
            <div class="col-lg-12">
                @RenderBody()
            </div>
        </div>

        <hr />


        <footer>
            <p>&copy; @DateTime.Now.Year - Huseyn Zeynalov</p>
        </footer>
    </div>

    <script src="~/Scripts/bootstrap.min.js"></script>
    <script src="~/Scripts/jquery-ui-1.12.1.min.js"></script>
    <!--CustomScripts-->
    <script type="text/javascript" src="~/CustomScripts/Hz_Custom_script.js"></script>
    <script type="text/javascript" src="~/CustomScripts/HZ_WebGrid_Scripts.js"></script>
    <script type="text/javascript" src="~/CustomScripts/jQuery_PopUpScipts.js"></script>

</body>
</html>


    <!--<div class="navbar-header">
       a_ Html.ActionLink("Yeni sifariş", "New", "Sifariw", new { area = "" }, new { a_ class = "navbar-brand" })
      </div>

      <ul class="nav navbar-nav">
          <li>a_ Html.ActionLink("Məlumatlar", "Index", "Sifariw", new { area = "" }, new { a_ class = "navbar-brand" })</li>
      </ul>

      <ul class="nav navbar-nav navbar-right">
          a_ Html.ActionLink(User.Identity.Name, "Edit", "Account", new { area = "" }, new { a_ class = "btn btn-primary navbar-btn" })
      </ul>-->
    <!--<ul class="nav navbar-nav">
        <li>a_ Html.ActionLink(" ", "Create", "Task", new { area = "" }, new { a_ class = "navbar-brand" })</li>
    </ul>-->